import { Decimal } from '@phensley/decimal';
import { MessageArg } from './args';
/**
 * Interface for argument converters.
 *
 * @public
 */
export interface MessageArgConverter {
    asString(arg: MessageArg | undefined): string;
    asDecimal(arg: MessageArg | undefined): Decimal;
}
/**
 * Converts arguments to string or Decimal.
 *
 * @public
 */
export declare class DefaultMessageArgConverter implements MessageArgConverter {
    /**
     * Convert to a string if possible.
     */
    asString(arg: MessageArg | undefined): string;
    /**
     * Convert to a Decimal if possible, or zero.
     */
    asDecimal(arg: MessageArg | undefined): Decimal;
}
