"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultMessageArgConverter = void 0;
var decimal_1 = require("@phensley/decimal");
/**
 * Converts arguments to string or Decimal.
 *
 * @public
 */
var DefaultMessageArgConverter = /** @class */ (function () {
    function DefaultMessageArgConverter() {
    }
    /**
     * Convert to a string if possible.
     */
    DefaultMessageArgConverter.prototype.asString = function (arg) {
        switch (typeof arg) {
            case 'string':
                return arg;
            case 'number':
            case 'boolean':
                return arg.toString();
            case 'object':
                if (arg instanceof decimal_1.Decimal) {
                    return arg.toString();
                }
                break;
        }
        return '';
    };
    /**
     * Convert to a Decimal if possible, or zero.
     */
    DefaultMessageArgConverter.prototype.asDecimal = function (arg) {
        switch (typeof arg) {
            case 'string':
                try {
                    return new decimal_1.Decimal(arg);
                    // eslint-disable-next-line @typescript-eslint/no-unused-vars
                }
                catch (e) {
                    return decimal_1.DecimalConstants.NAN;
                }
            case 'number':
                return new decimal_1.Decimal(arg);
            case 'boolean':
                return arg ? decimal_1.DecimalConstants.ONE : decimal_1.DecimalConstants.ZERO;
            case 'object':
                if (arg instanceof decimal_1.Decimal) {
                    return arg;
                }
                break;
        }
        return decimal_1.DecimalConstants.NAN;
    };
    return DefaultMessageArgConverter;
}());
exports.DefaultMessageArgConverter = DefaultMessageArgConverter;
//# sourceMappingURL=converter.js.map